from test_mcp import MCPClient


async def test_tools():
    client = MCPClient()
    # await client.connect_to_new_server()
    await client.connect_to_running_server(
        server_url="http://localhost:8000/mcp"
    )
    tools = await client.get_tools()
    print(tools)
    result = await client.call_tool(
        "get_monitors_me",
        arguments={
            "organizationTeamId": 46,
            # "id": 
        }
    )
    print(result)
    await client.close()


if __name__ == "__main__":
    import asyncio
    asyncio.run(test_tools())
